Vehicle Financier
This API retrieves the list of vehicle financiers (banks or financial institutions) associated with motor insurance policies. It returns financier details required for hypothecation and policy issuance.
Path Parameters
Specifies the lookup category. This API accepts only 'banknm' as the value.
ManufacturerID for e.g GO4WCI
Search keyword used to filter financier names.
- 200
- 400
- 500
Successful Response
Schema
Unique request identifier.
List of errors if any.
List of vehicle financiers matching the search keyword.
{
"reqId": "8fac35a8-b685-418e-b24a-0949a9f29d55",
"errors": [],
"data": [
"ICICI BANK",
"ICICI BANK LIMITED",
"ICICI BANK LTD",
"ICICI CAR LOANS",
"ICICI HOME FINANCE LTD."
]
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}